/api/datasets/{dataset_id}/batch_exports/

Creates a new batch export configuration. This endpoint requires a destination type (e.g., S3, Snowflake), an interval (e.g., daily, hourly), and the necessary credentials to configure the export pipeline.

Recommended Snowflake DDL:

CREATE TABLE your_table_name (
    uuid VARCHAR(36),
    timestamp TIMESTAMP_NTZ,
    created_at TIMESTAMP_NTZ,
    event VARCHAR,
    properties VARIANT,
    distinct_id VARCHAR(36),
    person_id VARCHAR(36),
    person_properties VARIANT,
    elements_chain VARCHAR
);

Beta notice:

Snowflake support is currently in beta.

Path Params
string
required

Dataset ID of the dataset you're trying to access. To find the ID of the dataset, make a call to /api/datasets/.

Body Params

Serializer for a BatchExport model.

string
required

A human-readable name for this BatchExport.

destination
object
required

Serializer for an BatchExportDestination model.

string
enum

The interval at which to export data.

Allowed:
boolean
Defaults to false

If true, personally identifiable information is masked in the properties of exported events. A property is considered to contain PII if a retention period is set for it.

date-time | null

The timestamp at which this BatchExport was last paused.

date-time | null

Time before which any Batch Export runs won't be triggered.

date-time | null

Time after which any Batch Export runs won't be triggered.

boolean
Defaults to false
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json